# System settings set

An action block that sets the value of a system setting.

The fiber will proceed immediately without pause.

An alternative to this block that should be able to set any setting is to use the Shell command privileged, ADB shell command or Shell command superuser block to execute: `settings put <global|secure|system> <name> <value>`

Caution! This is an advance feature, setting an invalid value may damage the system.

Note! Modifying settings in the Global or Secure category may require the “modify secure settings” privilege, on Android 6+ many settings in the System category are “private” requiring the “access deprecated system features” privilege, neither is officially supported and may not work on all devices.

## Input arguments

- Category — settings category, default is System.
- Name — name of setting.
- Value — value to set, no validation is performed.